
body, html {
    margin: 0;
    padding: 0;
    color: #FFF;
    font-family: "Open Sans", sans-serif;
    background-color: #57c2d3;
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 0.02em;

}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

div {
    position: relative;
    box-sizing: border-box;

}

header {
    padding: 40px 0;;
    font-size: 18px;
    text-align: center;
}

header img {
    max-width: 100%;
    width: auto;
    height: auto;
}

.preload {
    width: 1px;
    height: 1px;
    opacity: 0;
    position: fixed;
    bottom: 0;
    right: 0;
}

#page-preloader {
    width: 100%;
    /*max-width: 700px;*/
    top: 0;
    left: 0;
    height: 100vh;
    padding: 0;
    position: fixed;
    text-align: center;
    padding-top: 50px;
    background-color: rgba(149, 190, 61, 0.95); /*#94bd3c*/;
    background: #57c2d3;
    overflow: hidden;
}

#loading-text {
    color: #FFF;
    font-size: 0.8rem;
    top: 50%;
    margin-top: 50px;
}

#page-preloader svg {
    left: 50%;
    top: 50%;
    margin-top: -150px;
    margin-left: -290px;
    position: absolute;
}

#page-preloader #pulsar {
    /*  stroke-dasharray: 281;
      -webkit-animation: dash 2.5s infinite linear forwards;*/
}

/*Animation*/
@-webkit-keyframes dash {
    from {
        stroke-dashoffset: 814;
    }
    to {
        stroke-dashoffset: -814;
    }
}

/* keyframes for animation;  simple 0 to 360 */
@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}


.animate { /* microsoft ie */
    animation-name: spin;
    animation-duration: 40000ms; /* 40 seconds */
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.clearfix {
    clear: both;
    overflow: auto
}

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

.cc-deny {
    color: rgb(200, 200, 200);
    font-size: 0.7em;
}

.cc-allow {
    text-transform: uppercase;
    font-weight: 700;
}

.cc-revoke {
    display: none !important;
}

img {
    max-width: 100%;
    height: auto;
}

.wrapper {

    text-align: center;
    position: relative;
    margin: 0 auto;
    margin-top: 0px;

}

.portrait {
    display: none;
}

#slotmachine {
    cursor: pointer;
    width: 600px;
    background-image: url('./spinner-big.png');
    height: 640px;
    background-size: cover;
    margin: 0 auto;
    text-align: left;
    position: relative;
}

#result-info {
    max-width: 540px;
    margin: 0 auto;
}

#slotmachine.running {
    background-image: url('./spinner-big-running.png');
}

#startoverlay img,
#startoverlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    /*display: none;*/
}

footer {
    text-align: center;

    border-top: 0px solid #CCCCCC;
    font-size: 12px;
    padding: 40px 0 40px 0;
    margin-top: 0px;
}

.bg-black {
    background: #000;
}

footer .bg-black {
    padding: 20px 0;
}

footer, footer a {
    color: #FFF;
    text-decoration: none;
}

#page-info {

    margin: 0 auto;
}

#excount {
    color: #57c2d3;
}

#powered:before,
#page-info:before {
    border-top: 1px solid #FFF;
    position: relative;

    left: 50%;

    margin: 40px 0;
    margin-left: -75px;
    width: 150px;
    content: '';
    display: block;
}

#partner {
    margin: 0;
    border-top: 0px solid #CCCCCC;
}

.partner {
    display: inline-block;
    margin: 10px 20px;
}

.partner img {
    height: 80px;
    width: auto;
}

#language-chooser {
    padding-top: 20px;
    font-size: 1rem;
    font-weight: 300;
}

/* MENU */

.flex-center {
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}

a,
a:visited,
a:hover,
a:active {
    color: inherit;
    text-decoration: none;
}

.outer-menu {
    position: fixed;
    top: 0;
    right: 0;
    left: auto;
    z-index: 1;
    top: 0;

    right: 0px;

    left: auto;

    z-index: 1000;

    width: 40px;

    height: 40px;
}

.outer-menu .checkbox-toggle {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
    cursor: pointer;
    width: 40px;
    height: 40px;
    opacity: 0;
}

.outer-menu .checkbox-toggle:checked + .hamburger > div {
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
}

.outer-menu .checkbox-toggle:checked + .hamburger > div:before,
.outer-menu .checkbox-toggle:checked + .hamburger > div:after {
    top: 0;
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
}

.outer-menu .checkbox-toggle:checked + .hamburger > div:after {
    opacity: 0;
}

.outer-menu .checkbox-toggle:checked ~ .menu {
    pointer-events: auto;
    visibility: visible;
}

.outer-menu .checkbox-toggle:checked ~ .menu > div {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transition-duration: 0.75s;
    transition-duration: 0.75s;
}

.outer-menu .checkbox-toggle:checked ~ .menu > div > div {
    opacity: 1;
    -webkit-transition: opacity 0.4s ease 0.4s;
    transition: opacity 0.4s ease 0.4s;
}

.outer-menu .checkbox-toggle:hover + .hamburger {
    box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.1);
}

.outer-menu .checkbox-toggle:checked:hover + .hamburger > div {
    -webkit-transform: rotate(225deg);
    transform: rotate(225deg);
}

.outer-menu .hamburger {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 40px;
    height: 40px;
    padding: 0.5em 0.5em;
    background: #94bd3c;
    border-radius: 0 0.12em 0.12em 0;
    cursor: pointer;
    -webkit-transition: box-shadow 0.4s ease;
    transition: box-shadow 0.4s ease;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}

.outer-menu .hamburger > div {
    position: relative;
    -webkit-box-flex: 0;
    flex: none;
    width: 100%;
    height: 2px;
    background: #fefefe;
    -webkit-transition: all 0.4s ease;
    transition: all 0.4s ease;
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}

.outer-menu .hamburger > div:before,
.outer-menu .hamburger > div:after {
    content: "";
    position: absolute;
    z-index: 1;
    top: -10px;
    left: 0;
    width: 100%;
    height: 2px;
    background: inherit;
    -webkit-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

.outer-menu .hamburger > div:after {
    top: 10px;
}

.outer-menu .menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    visibility: hidden;
    overflow: hidden;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    outline: 1px solid transparent;
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}

.outer-menu .menu > div {
    width: 200vw;
    height: 200vw;
    color: #fefefe;
    background: #94bd3c;
    border-radius: 50%;
    -webkit-transition: all 0.4s ease;
    transition: all 0.4s ease;
    -webkit-box-flex: 0;
    flex: none;
    -webkit-transform: scale(0);
    transform: scale(0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    overflow: hidden;
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}

.outer-menu .menu > div > div {
    text-align: center;
    max-width: 90vw;
    max-height: 100vh;
    opacity: 0;
    -webkit-transition: opacity 0.4s ease;
    transition: opacity 0.4s ease;
    overflow-y: auto;
    -webkit-box-flex: 0;
    flex: none;
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}

.outer-menu .menu > div > div > ul {
    list-style: none;
    padding: 0 1em;
    margin: 0;
    display: block;
    max-height: 100vh;
}

.outer-menu .menu > div > div > ul > li {
    padding: 0;
    margin: 1em;
    font-size: 1.6rem;
    display: block;
}

.outer-menu .menu > div > div > ul > li > a {
    position: relative;
    display: inline;
    cursor: pointer;
    -webkit-transition: color 0.4s ease;
    transition: color 0.4s ease;
}

.outer-menu .menu > div > div > ul > li > a:hover {
    color: #e5e5e5;
}

.outer-menu .menu > div > div > ul > li > a:hover:after {
    width: 100%;
}

.outer-menu .menu > div > div > ul > li > a:after {
    content: "";
    position: absolute;
    z-index: 1;
    bottom: -0.15em;
    left: 0;
    width: 0;
    height: 2px;
    background: #e5e5e5;
    -webkit-transition: width 0.4s ease;
    transition: width 0.4s ease;
}

/* END MENU */

.window {
    overflow: hidden;

    display: inline-block;

    /*middle */
    width: 65px !important;
    height: 90px !important;
    margin-top: 103px;
    margin-left: 18px;

    font-weight: 700;
    font-size: 14px;

    margin-top: 146px;
    width: 92px !important;;
    height: 126px !important;;
    margin-left: 26px;

}

.window {
    border: 1px solid rgba(255, 255, 255, 0);
}

.window_0 {
    margin-left: 95px; /* middle */
    margin-left: 134px;

    font-size: 40px;
    font-weight: 700;
}

.window_1 {
    font-weight: 400;
}

.ezslots > .window > .slider > .symbol {
    text-align: center;
    display: table;
}

.ezslots > .window > .slider > .symbol > .content {
    padding: 0px;
    margin: 0px;
    display: table-cell;
    text-align: center;
    vertical-align: middle;
    color: #d60078;
}

#cd_pause, #cd_stop,
#sw_pause, #sw_reset,
#cd_h, #cd_m,
#cd_h_sep, #cd_m_sep,
#timer, #stopwatch {
    display: none;
}

#info {
    position: relative;
    /*  width: 540px;
      max-width: 96%;*/
    padding: 20px;
    margin: 0 auto;
    margin-top: 300px;

    font-weight: 300;
    text-align: center;
}

#info a {
    color: #FFF;

    text-decoration: none
}

#result {
    width: auto;
    color: #FFF;
    margin: 20px 0;
    text-align: center;
    font-weight: 400;
    padding: 0;
    display: none;
}

.partner-info img {
    height: 150px;
}

#respin,
.toggle-image, .more-info {
    display: inline-block;
    cursor: pointer;
    margin: 20px 20px 20px 20px;
}

svg.icon {
    fill: #FFF;
    height: 40px;
    width: auto;
}

#info-image-pic {
    display: none;
    width: 120px;
    margin: 0 auto;
    margin-top: 20px;
}

#info-image-pic img {
    width: auto;
    height: auto;
    border: 10px solid #50284a;
    border-radius: 5px;
    max-width: 120px;
}

#result-info {
    /*font-size: 3rem;*/
}

#result-info .headline {
    padding: 0;
    text-align: center;
}

#result-info .headline h2 {
    font-size: 1.5rem;
    font-weight: 700;
}

#result-info .description {
    font-size: 1rem;
    /* font-style: italic;*/
    color: #FFF;
    /*   margin: 30px auto;*/
}

#action {

    margin: 0 auto;

    max-width: 100%;

    padding-top: 10px;

    border: 0px solid #FA2;

    color: #000;

    position: absolute;

    left: 50%;

    z-index: 100;

    /* middle */
    width: 160px;
    margin-left: -80px;
    bottom: 27px;
    height: 130px;

    width: 240px;
    margin-left: -119px;
    height: 180px;
    bottom: 30px;
}

#action h3 {
    margin: 0;
    text-transform: uppercase;
    color: #FFF;
    font-weight: 400;
    font-size: 1.4rem;
    text-align: center;
}

#action input {
    background: #94bd3c;
    background: none;

    padding: 5px 10px;

    color: #FFF;

    text-transform: uppercase;

    font-size: 1rem;

    margin: 0 5px;

    border-width: 0;

    font-weight: 700;

    width: 108px;
    height: 54px;
}

#action .buttons {
    margin-top: 50px;
}

#action .buttons input {
    margin-left: 9px;
}

#action .buttons input:first-child {
    margin-left: 0;
}

#slogan {
    font-size: 50px;
    color: #ffef22;
    text-align: center;
    -webkit-animation: glow 1.5s ease-in-out infinite alternate;
    -moz-animation: glow 1.5s ease-in-out infinite alternate;
    animation: glow 1.5s ease-in-out infinite alternate;
}

#action input:hover,
#action input:focus {
    cursor: pointer;
    color: #FFF;
}

.time {
    text-align: center;
    font-size: 1.8rem;
    color: #CCC;
    font-weight: 700;
}

.time.running {
    font-size: 1.8rem;
    color: #FFF;
}

@media screen and (max-width: 700px) , screen and (max-height: 700px) {

    #slotmachine {

        width: 422px;
        height: 451px;
    }

    .window {

        width: 65px !important;
        height: 90px !important;
        margin-top: 103px;
        margin-left: 18px;

        font-weight: 400;
        font-size: 12px;
    }

    .window {
        border: 1px solid rgba(255, 255, 255, 0);
    }

    .window_0 {
        margin-left: 95px; /* middle */

        font-size: 40px !important;
        font-weight: 700;
    }

    #action {
        /* middle */
        width: 160px;
        margin-left: -80px;
        bottom: 27px;
        height: 130px;

    }

    .time.running,
    .time {
        font-size: 1.2rem;
    }

    #action .buttons {
        margin-top: 25px;
    }

    #action input {
        width: 73px;
        margin: 0
    }

}

@media all and (max-width: 430px), screen and (max-height: 490px) {

    #slotmachine {
        width: 360px;
        height: 383px;
    }

    .window {

        width: 56px !important;
        height: 77px !important;
        margin-top: 87px;
        margin-left: 15px;

        font-weight: 400;
        font-size: 10px;
    }

    .window {
        border: 1px solid rgba(255, 255, 255, 0);
    }

    .window_0 {
        margin-left: 80px; /* middle */
    }

    #action {

        /* middle */
        width: 140px;
        margin-left: -70px;
        bottom: 20px;
        height: 115px;

    }

    .time.running,
    .time {
        font-size: 1rem;
    }

    #action h3 {
        font-size: 1.2rem;
    }

    #action .buttons {
        margin-top: 24px;
    }

    #action .buttons input {
        margin-left: 9px;
    }

    #action input {
        width: 63px;
        font-size: 0.8rem;
        margin: 0;
        height: 45px;
    }
}

/* TIMER COUNTDOWN */